## bsdutils 3.0-2

=== Makefile ===
CC = gcc
CFLAGS = -O2   -I. -I/usr/include/bsd   -DDEBIAN
LDFLAGS = -s
LDLIBS = -lbsd

INSTALL = install
LS = ls

bindir = /bin
usrbindir = /usr/bin
usrsbindir = /usr/sbin
mandir = /usr/man
man1dir = $(mandir)/man1
man8dir = $(mandir)/man8

# Programs that are installed to $(bindir).
BINPROGS = kill

# Programs that are installed to $(usrbindir).
USRBINPROGS = logger renice script

# Programs install,ed to $(usrbindir), but setgid tty
SGIDTTYPROGS = wall

# Programs that are installed to $(usrsbindir).
USRSBINPROGS = chroot


.c.o:
	$(CC) $(CFLAGS) -c $<

.o:
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)

all: $(BINPROGS) $(USRBINPROGS) $(SGIDTTYPROGS) $(USRSBINPROGS)

clean:
	rm -f $(BINPROGS) $(USRBINPROGS) $(SGIDTTYPROGS) $(USRSBINPROGS)
	rm -f *.o core *~

install: all
	./mkinstalldirs $(bindir) $(usrbindir) $(usrsbindir) \
	  $(man1dir) $(man8dir)
	for f in $(BINPROGS); \
	do \
	  $(INSTALL) $$f $(bindir)/$$f; \
	done
	for f in $(USRBINPROGS); \
	do \
	  $(INSTALL) $$f $(usrbindir)/$$f; \
	done
	for f in $(SGIDTTYPROGS); do \
	  $(INSTALL) -o root -g tty -m 2755 $$f $(usrbindir)/$$f; \
	done
	for f in $(USRSBINPROGS); \
	do \
	  $(INSTALL) $$f $(usrsbindir)/$$f; \
	done
	for f in *.1; \
	do \
	  $(INSTALL) -m 644 $$f $(man1dir)/$$f; \
	done
	for f in *.8; \
	do \
	  $(INSTALL) -m 644 $$f $(man8dir)/$$f; \
	done

chroot:   chroot.o err.o getopt.o
kill:     err.o getopt.o kill.o
logger:   err.o getopt.o logger.o
renice:   err.o getopt.o renice.o
script:   getopt.o script.o
wall:     err.o getopt.o ttymsg.o wall.o

## bsdutils 3.1.3

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 SGIDTTYPROGS = wall
 
 # Programs that are installed to $(usrsbindir).
-USRSBINPROGS = chroot
+USRSBINPROGS = 
 
 
 .c.o:
@@ -65,7 +65,7 @@
 	  $(INSTALL) -m 644 $$f $(man8dir)/$$f; \
 	done
 
-chroot:   chroot.o err.o getopt.o
+#chroot:   chroot.o err.o getopt.o
 kill:     err.o getopt.o kill.o
 logger:   err.o getopt.o logger.o
 renice:   err.o getopt.o renice.o

=== debian/changelog ===
bsdutils (3.1.3) unstable; urgency=high

  * Fixed bad bug. (#6876) Used patch provided by: (sorry I can't find the name)

 -- Shaya Potter <spotter@itd.nrl.navy.mil>  Sun, 26 Jan 1997 08:40:09 -0500

bsdutils (3.1.2) unstable; urgency=low

  * Fixed bad bug. (#6876)

 -- Shaya Potter <spotter@itd.nrl.navy.mil>  Sun, 26 Jan 1997 08:40:09 -0500

bsdutils (3.1.1) unstable; urgency=low

  * Removed chroot, now in shellutils

 -- Shaya Potter <spotter@itd.nrl.navy.mil>  Sun, 26 Jan 1997 08:40:09 -0500

bsdutils (3.1) unstable; urgency=low

  * Updated to new standards format

 -- Shaya Potter <spotter@itd.nrl.navy.mil>  Wed, 22 Jan 1997 05:19:26 -0500

=== debian/control ===
Source: bsdutils
Section: base
Priority: required
Maintainer: Austin Donnelly <and1000@debian.org>
Standards-Version: 2.1.1.2

Package: bsdutils
Architecture: any
Depends: ${shlibs:Depends}, sysvinit(>=2.59-2)
Recommends: bsdmainutils
Essential: yes
Description: Basic utilities from 4.4BSD-Lite.
 This package the bare minimum number of BSD utilities needed to boot a
 Debian system.
 .
 Included are: kill, logger, renice, script, wall, chroot

=== debian/rules ===
#!/usr/bin/make -f

#
# Last updated: Sat Apr 20 23:55:53 BST 1996 by and1000.
#
# To make the binary distribution package, the ``Debianized'' source package
# and the context diff to the original package, type `./debian.rules dist'.
# Make sure that `debian.rules' is executable before the final distribution
# is made.
#
# Invoke each target with `./debian.rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.  The `diff' target assumes that you have the original
# source package available, unpacked, in ../$(p)-$(v).orig, or that you have
# the previous revision of the ``Debianized'' source package and context diff
# in the parent directory.

package=bsdutils

build:
	make
	touch build

clean:
	make clean
	rm -f build
	rm -rf debian/tmp

binary-indep:   checkroot build

binary-arch:    checkroot build
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	make install \
          bindir=debian/tmp/bin \
          sbindir=debian/tmp/sbin \
          usrbindir=debian/tmp/usr/bin \
          usrsbindir=debian/tmp/usr/sbin \
          libdir=debian/tmp/usr/lib \
          mandir=debian/tmp/usr/man
	chmod -R g-w debian/tmp
	rm -f debian/tmp/usr/man/man8/chroot.8
	gzip -9v debian/tmp/usr/man/man?/*
	install -m 644 debian/copyright debian/tmp/usr/doc/$(package)/copyright
	install -m 644 debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9v debian/tmp/usr/doc/$(package)/changelog.Debian
	
	dpkg-shlibdeps kill logger renice script wall
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..


binary:         binary-indep binary-arch
checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## bsdutils 4.2.0.1

=== Makefile ===
CC = gcc

LDFLAGS = -s
CFLAGS = -O2 -I. -DDEBIAN
LDLIBS = -lutil

INSTALL = install
LS = ls

bindir = /bin
usrbindir = /usr/bin
mandir = /usr/man
man1dir = $(mandir)/man1
man8dir = $(mandir)/man8

# Programs that are installed to $(bindir).
BINPROGS = kill

# Programs that are installed to $(usrbindir).
USRBINPROGS = logger renice script

# Programs installed to $(usrbindir), but setgid tty
SGIDTTYPROGS = wall


.c.o:
	$(CC) $(CFLAGS) -c $<

.o:
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)

all: $(BINPROGS) $(USRBINPROGS) $(SGIDTTYPROGS)

clean:
	rm -f $(BINPROGS) $(USRBINPROGS) $(SGIDTTYPROGS)
	rm -f *.o core *~

install: all
	./mkinstalldirs $(bindir) $(usrbindir) $(man1dir) $(man8dir)
	for f in $(BINPROGS); \
	do \
	  $(INSTALL) -o root -g root -m 755 $$f $(bindir)/$$f; \
	done
	for f in $(USRBINPROGS); \
	do \
	  $(INSTALL) -o root -g root -m 755 $$f $(usrbindir)/$$f; \
	done
	for f in $(SGIDTTYPROGS); do \
	  $(INSTALL) -o root -g tty -m 2755 $$f $(usrbindir)/$$f; \
	done
	for f in *.1; \
	do \
	  $(INSTALL) -o root -g root -m 644 $$f $(man1dir)/$$f; \
	done
	for f in *.8; \
	do \
	  $(INSTALL) -o root -g root -m 644 $$f $(man8dir)/$$f; \
	done

#chroot:   chroot.o err.o getopt.o
kill:     err.o getopt.o kill.o
logger:   err.o getopt.o logger.o
renice:   err.o getopt.o renice.o
script:   getopt.o script.o
wall:     err.o getopt.o ttymsg.o wall.o

=== debian/changelog ===
bsdutils (4.2.0.1) frozen unstable; urgency=low

  * Non-maintainer release.
  * (debian/control): Pre-Depends: libc6 (Bug#24569).
  * (debian/rules): clean: remove debian/substvars and debian/files.

 -- Joel Klecker <jk@espy.org>  Wed, 15 July 1998 18:07:49 -0700

bsdutils (4.2) frozen unstable; urgency=low

  * kill.c: "kill -0 <pid>" to detect existence of a process should be valid.
      Fixes Bug#18103.

 -- Austin Donnelly <and1000@debian.org>  Wed, 11 Feb 1998 21:26:14 +0000

bsdutils (4.1) unstable; urgency=low

  * kill.c: argument with side effects in strcmp() call doesn't work with
      macro expanded strcmp() on Sparc.  Patches from Juan Cespedes
      <cespedes@debian.org> and Eric Delaunay
      <delaunay@lix.polytechnique.fr>.  Fixes Bug#16088, Bug#16884.
  * wall.c: inline prototype for strcpy() removed.  That's what header
      files are for!
  * control: Standards-Version now 2.3.0.1.  Fixes Bug#16751.
  
 -- Austin Donnelly <and1000@debian.org>  Sun, 11 Jan 1998 22:14:50 +0000

bsdutils (4.0) unstable; urgency=low

  * recompiled for libc6
  * logger manpage improved: documented '--' as ending the
      option list, and listed valid facility and level names.  Fixes
      Bug#12392 and Bug#12556.

 -- Austin Donnelly <and1000@debian.org>  Sun, 26 Oct 1997 16:33:45 +0000

bsdutils (3.3) unstable; urgency=low

  * script.c: fixed exec() call that forks shell, so that its argv[0] is
       correct. Fixes Bug#10738.
  * Makefile: install as root.root for robustness

 -- Austin Donnelly <and1000@debian.org>  Sun, 22 Jun 1997 16:48:55 +0100

bsdutils (3.2) unstable; urgency=medium

  * wall(1) should be setgid tty (Fixes Bug#8730)
  * kill.c: SIGABRT added as synonym for SIGIOT.  Goes some way to fixing
       Bug#3815, but note that the real reason for this bug is that bash
       doesn't recognise SIGABRT, not /bin/kill.
  * package description changes to reflect the removal of chroot.
       Fixes Bug#6937
  * Fixes from Micheal Alan Dorman for AXP, bash2 and glibc compile. Fixes
       Bug#8742 and Bug#8224
  * added depends on shellutils(>=1.15-3) to make sure chroot is still
       around
  * wall.c: only print the ttyname if it isn't NULL.

 -- Austin Donnelly <and1000@debian.org>  Sun, 1 Jun 1997 16:28:15 +0100

=== debian/control ===
Source: bsdutils
Section: base
Priority: required
Maintainer: Austin Donnelly <and1000@debian.org>
Standards-Version: 2.3.0.1

Package: bsdutils
Architecture: any
Pre-Depends: ${shlibs:Depends}
Depends: sysvinit(>=2.59-2), shellutils(>=1.15-3)
Recommends: bsdmainutils
Essential: yes
Description: Basic utilities from 4.4BSD-Lite.
 This package contains the bare minimum number of BSD utilities needed
 to boot a Debian system.  You should probably also install
 bsdmainutils to get the remaining standard BSD utilities.
 .
 Included are: kill, logger, renice, script, wall

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
-
 #
-# Last updated: Sat Apr 20 23:55:53 BST 1996 by and1000.
+# Last updated: Sun Jun  1 15:46:49 BST 1997 by and1000.
 #
 # To make the binary distribution package, the ``Debianized'' source package
 # and the context diff to the original package, type `./debian.rules dist'.
@@ -27,12 +26,13 @@
 	make clean
 	rm -f build
 	rm -rf debian/tmp
+	rm -f debian/*~ debian/substvars debian/files
 
 binary-indep:   checkroot build
 
 binary-arch:    checkroot build
-	install -d debian/tmp debian/tmp/DEBIAN
-	install -d debian/tmp/usr/doc/$(package)
+	install -d -o root -g root -m 755 debian/tmp debian/tmp/DEBIAN
+	install -d -o root -g root -m 755 debian/tmp/usr/doc/$(package)
 	make install \
           bindir=debian/tmp/bin \
           sbindir=debian/tmp/sbin \
@@ -43,14 +43,14 @@
 	chmod -R g-w debian/tmp
 	rm -f debian/tmp/usr/man/man8/chroot.8
 	gzip -9v debian/tmp/usr/man/man?/*
-	install -m 644 debian/copyright debian/tmp/usr/doc/$(package)/copyright
-	install -m 644 debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
+	install -o root -g root -m 644 debian/copyright \
+	  debian/tmp/usr/doc/$(package)/copyright
+	install -o root -g root -m 644 debian/changelog \
+	  debian/tmp/usr/doc/$(package)/changelog.Debian
 	gzip -9v debian/tmp/usr/doc/$(package)/changelog.Debian
-	
+#
 	dpkg-shlibdeps kill logger renice script wall
-	dpkg-gencontrol
-	chown -R root.root debian/tmp
-	chmod -R g-ws debian/tmp
+	dpkg-gencontrol -isp
 	dpkg --build debian/tmp ..

## bsdutils 4.4.1.1

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 clean:
 	rm -f $(BINPROGS) $(USRBINPROGS) $(SGIDTTYPROGS)
-	rm -f *.o core *~
+	rm -f *.o core *~ signames.h mksignames
 
 install: all
 	./mkinstalldirs $(bindir) $(usrbindir) $(man1dir) $(man8dir)
@@ -63,3 +63,14 @@
 renice:   err.o getopt.o renice.o
 script:   getopt.o script.o
 wall:     err.o getopt.o ttymsg.o wall.o
+
+mksignames:	mksignames.c
+	$(CC) $(CFLAGS) -DHAVE_STDLIB_H $< -o $@
+
+kill.o:     signames.h
+signames.h: mksignames
+	$(RM) $@
+	./mksignames | sed -e 's/"SIG/"/' \
+			   -e 's/char \*signal_names/const char *sys_signame/'\
+			   -e '/"DEBUG",/d' \
+			   -e '/"EXIT",/d' > $@

=== debian/changelog ===
bsdutils (4.4.1.1) frozen unstable; urgency=low

  * Recompile to fix dependencies.  Now depends on libc6, with no
    version requirement.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Fri, 11 Dec 1998 20:17:10 +0000

bsdutils (4.4.1) frozen unstable; urgency=medium

  * debian/{control,copyright}: New maintainer.

  * README.script: new file, describing the script security hole
    (bug#988).
  * debian/rules: install README.script.
  * script.c: detect if the tty returned by openpty() is insecure and
    issue a warning if so, referring the user to README.script.
  * script.1: Add a note about the bug, and refer the reader to
    README.script.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Wed,  9 Dec 1998 13:44:53 +0000

bsdutils (4.4) unstable; urgency=low

  * kill.c, mksignames.c, Makefile: applied patch from Eric Delaunay
    	<delaunay@lix.polytechnique.fr> to allow proper signal number
    	detection under non-i386 linux.  Slightly modified to fix off by
    	one error.
  
  * script.1: tell people how to strip control characters out.
  	Fixes Bug#25156.

 -- Austin Donnelly <and1000@debian.org>  Sat, 26 Sep 1998 12:42:37 +0100

bsdutils (4.3) frozen unstable; urgency=high

  * Full maintainer release to close bugs
  * debian/rules.orig: deleted
  * debian/rules: add section and priority headings to .deb file

 -- Austin Donnelly <and1000@debian.org>  Sat, 18 Jul 1998 15:56:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: bsdutils
 Section: base
 Priority: required
-Maintainer: Austin Donnelly <and1000@debian.org>
+Maintainer: Charles Briscoe-Smith <cpbs@debian.org>
 Standards-Version: 2.3.0.1
 
 Package: bsdutils
 Architecture: any
 Pre-Depends: ${shlibs:Depends}
-Depends: sysvinit(>=2.59-2), shellutils(>=1.15-3)
+Depends: sysvinit (>= 2.59-2), shellutils (>= 1.15-3)
 Recommends: bsdmainutils
 Essential: yes
 Description: Basic utilities from 4.4BSD-Lite.

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,8 @@
 	  debian/tmp/usr/doc/$(package)/copyright
 	install -o root -g root -m 644 debian/changelog \
 	  debian/tmp/usr/doc/$(package)/changelog.Debian
+	install -o root -g root -m 644 README.script \
+	  debian/tmp/usr/doc/$(package)/README.script
 	gzip -9v debian/tmp/usr/doc/$(package)/changelog.Debian
 #
 	dpkg-shlibdeps kill logger renice script wall
